VMTKNUMPYWRITER(1)

NAME
vmtknumpywriter - vmtk script vmtknumpywriter

DESCRIPTION
Automatic piping vmtkNumpyWriter Parsing options vmtkNumpyWriter

vmtkNumpyWriter : Writes a dictionary containing a nested dictionary

    of numpy arrays (generated byvmtkcenterlinestonumpy, vmtkimagetonumpy, or vmtksurface to numpy) to disk as eithera python pickle object or as hdf5 file

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i ArrayDict (dict,1): the input array dictionary

-ifile ArrayDictInputFileName (str,1): filename for the default

    ArrayDict reader

-ofile OutputFileName (str,1): the output file name

-compression Compression (str,1) >= 1 and <= 0; default=1: Boolean

    value to compress hdf5 dataset files using gzip, default=1

-compressionlevel CompressionLevel (str,1) >= 0 and <= 9;

    default=4: Specify compression level for gzip compressed hdf5 files. Must be an intiger from 0 to 9, higher levels have more compression,but take longer to process. Default=4

-format Format (str,1) in ['pickle', 'hdf5']; default=pickle: write

    files as pickled object or hdf5 file format

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self